/* -*-mode: C; style: K&R; c-basic-offset: 4 ; -*- */

/*
 *  silver.c - Main code.
 *
 *  Silver - A simple webcam grabbing application
 *
 * Homepage:
 *   http://www.gnump3d.org
 *
 * Author:
 *  Steve Kemp <skx@tardis.ed.ac.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  Steve Kemp
 *  ---
 *  http://www.steve.org.uk/
 *
 */


#ifndef _SILVER_H
#define _SILVER_H 1

#include <gtk/gtk.h>


/**
 * Refresh the image.
 */
gint get_image(gpointer data);


/**
 *
 * Handlers for the menu items.
 *
 */
/* Reload the current image. */
static void file_reload( GtkWidget *w, gpointer   data );

/* Update the display from another URL */
static void update_location( GtkWidget *w, gpointer data );

/* Toggle the use of tooltips. */
static void toggle_tooltips( GtkWidget *w, gpointer   data );


/*
 * Dialog display functions.
 */

/* Display a message box. */
void quick_message(gchar *message) ;

/* Display our about box. */
static void help_about( GtkWidget *w, gpointer   data );

/* Show the settings dialog box */
void do_setup();

/* Settings box is dismissed - update our settings */
static void setup_end( GtkWidget *w, gpointer data );

/* Load all the sites into our menu. */
int load_sites( GtkWidget *menu, char *fileName );


#endif 

